### Hierarchy

- OwnPropsOfControl
  - OwnPropsOfAutoComplete

## Index

### Properties

- cells
- enabled
- id
- options
- path
- renderers
- schema
- uischema
- uischemas
- visible

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

Inherited from OwnPropsOfRenderer.cells

- Defined in core/lib/util/renderer.d.ts:74

### Optional enabled

enabled: boolean

Inherited from OwnPropsOfRenderer.enabled

- Defined in core/lib/util/renderer.d.ts:62

Whether the rendered element should be enabled.

### Optional id

id: string

Inherited from OwnPropsOfControl.id

- Defined in core/lib/util/renderer.d.ts:78

### options

options: string[]

- Defined in angular-material/src/controls/autocomplete.renderer.ts:150

### Optional path

path: string

Inherited from OwnPropsOfRenderer.path

- Defined in core/lib/util/renderer.d.ts:72

Optional instance path. Necessary when the actual data path can not be inferred via the UI schema element as it is the case with nested controls.

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfRenderer.renderers

- Defined in core/lib/util/renderer.d.ts:73

### Optional schema

schema: JsonSchema

Inherited from OwnPropsOfRenderer.schema

- Defined in core/lib/util/renderer.d.ts:58

The JSON schema that describes the data.

### Optional uischema

uischema: ControlElement

Inherited from OwnPropsOfControl.uischema

Overrides OwnPropsOfRenderer.uischema

- Defined in core/lib/util/renderer.d.ts:79

### Optional uischemas

uischemas: JsonFormsUISchemaRegistryEntry[]

Inherited from OwnPropsOfRenderer.uischemas

- Defined in core/lib/util/renderer.d.ts:75

### Optional visible

visible: boolean

Inherited from OwnPropsOfRenderer.visible

- Defined in core/lib/util/renderer.d.ts:66

Whether the rendered element should be visible.

Generated using TypeDoc